Badger::App(3pm)

NAME
Badger::App - base class application module

DESCRIPTION
This module implements a base class for simple, self-contained applications.

METHODS
The following methods are defined in addition to those inherited from the Badger::Prototype and Badger::Base base classes.

  about()
This method should be re-defined in subclasses to return information about the application.

  usage()
This method should be re-defined in subclasses to return a summary of usage options for the application.

AUTHOR
Andy Wardley <http://wardley.org/>

COPYRIGHT
Copyright (C) 2008-2012 Andy Wardley. All Rights Reserved.

This module is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

SEE ALSO
Badger::Factory, Badger::Base.